using System;

namespace Prijatelji_
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] tokens = Console.ReadLine().Split();
            int N = int.Parse(tokens[0]);
            int M = int.Parse(tokens[1]);
            int[] Ai = new int[N];
            int[] Xi = new int[M];
            int[] Yi = new int[M];
            for (int i = 0;i < N;i++)
            {
                Ai[i] = Convert.ToInt32(Console.ReadLine());
            }
            for (int j = 0; j < M; j++)
            {
                string[] tokeni = Console.ReadLine().Split();
                 Xi[j] = int.Parse(tokeni[0]);
                 Yi[j] = int.Parse(tokeni[1]);
            }
            int[] sreca = new int[N];
            int Ukupna_Sreca = 0;
            int[] prijatelji = new int[N];
            for (int i = 0;i<N;i++)
            {
                if (Ai[i] > 0)
                {
                    for (int j = 0; j < M; j++)
                    {
                        if (i + 1 == Xi[j])
                        {
                            prijatelji[i]++;
                        }
                        else if (i + 1 == Yi[j])
                        {
                            prijatelji[i]++;
                        }
                        else continue;
                    }
                    sreca[i] = Ai[i] * prijatelji[i];
                    Ukupna_Sreca = Ukupna_Sreca + sreca[i];
                }
                
                
            }
            Console.WriteLine(Ukupna_Sreca.ToString());
            
        }
    }
}